summaryrefslogtreecommitdiffstats
path: root/source/n/openldap-client/openldap-client.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/openldap-client/openldap-client.SlackBuild')
-rwxr-xr-xsource/n/openldap-client/openldap-client.SlackBuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/source/n/openldap-client/openldap-client.SlackBuild b/source/n/openldap-client/openldap-client.SlackBuild
index 3d7f16c58..cb1b12869 100755
--- a/source/n/openldap-client/openldap-client.SlackBuild
+++ b/source/n/openldap-client/openldap-client.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2018, 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -46,6 +46,8 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -94,7 +96,7 @@ CFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux || exit 1
make depend || exit 1
-make -j7 || exit 1
+make $NUMJOBS || exit 1
make test || exit 1
make install DESTDIR=$PKG || exit 1